<app-loader *ngIf="!data"></app-loader>

<div *ngIf="data" class="p-20">

	<section class="mb-20">
		<div class="breadcrumbs ">
			<a class="breadcrumbs__item"
			   [routerLink]="['../../', data?.id_campaign, 'achievement']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span fxHide.md="true">
				      К списку индивидуальных достижений
				    </span>
			</a>

		</div>
		<div>
			<h3 fxFlex=""> Информация об индивидуальном достижении </h3>
			<a routerLink="./edit" mat-flat-button color="accent">
				Редактировать
			</a>
		</div>

	</section>
	<section >
		<mat-card class="art-card">
			<mat-card-content *ngIf="!hasError && data; else errorBlock">
				<div fxLayout="row" fxLayout.lt-md="column">
					<mat-form-field appearance="fill" fxFlex="" >
						<mat-label>Приемная кампания</mat-label>
						<input matInput [ngModel]="data.id_campaign" readonly='true'>
					</mat-form-field>
				</div>
				<div fxLayout="row" fxLayout.lt-md="column">
					<mat-form-field appearance="fill" fxFlex="">
						<mat-label>Категория</mat-label>
						<input matInput [ngModel]="data.name_category">
					</mat-form-field>
				</div>


				<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="16px">
					<mat-form-field appearance="fill" fxFlex="50" fxFlex.lt-md="100">
						<mat-label>Наименование</mat-label>
						<input matInput [ngModel]="data.name" readonly='true'>
					</mat-form-field>
					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100">
						<mat-label>UID</mat-label>
						<input matInput [ngModel]="data.uid" readonly='true'>
						<button mat-icon-button matSuffix
							matTooltip="Редактировать UID"
							(click)="editUid()">
							<mat-icon matSuffix svgIcon="pencil"></mat-icon>
						</button>
					</mat-form-field>

					<mat-form-field appearance="fill" fxFlex="25" fxFlex.lt-md="100">
						<mat-label>Максимальный балл</mat-label>
						<input matInput [ngModel]="data.max_value">
				</mat-form-field>
				</div>
			</mat-card-content>
		</mat-card>


		<ng-template #errorBlock>
			<span> При загрузке данных произошла ошибка </span>
		</ng-template>

	</section>
</div>
